BSL430.NET 1.2.1

Public Attributes | List of all members
RJCP.IO.Ports.Native.Windows.NativeMethods.DCB Struct Reference

Defines the control setting for a serial communications device More...

## Public Attributes
int | DCBLength
| Length of the structure in bytes More...
uint | BaudRate
| Baud rate at which the communications device operates More...
DcbFlags | Flags
| Various flags that define operation More...
ushort | XonLim
| Transmit XON threshold More...
ushort | XoffLim
| Transmit XOFF threshold More...
byte | ByteSize
| Number of bits in the bytes transmitted and received More...
byte | Parity
| The parity scheme to be used More...
byte | StopBits
| Number of stop bits to use More...
byte | XonChar
| Value of the XON character for both transmission and reception More...
byte | XoffChar
| Value of the XOFF character for both transmission and reception More...
byte | ErrorChar
| Value of the character to use when replacing bytes with a parity error More...
byte | EofChar
| Character to use to signal end of data More...
byte | EvtChar
| Character to use to signal an event More...

## Detailed Description

Defines the control setting for a serial communications device

## Member Data Documentation

## ◆ BaudRate

uint RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.BaudRate

Baud rate at which the communications device operates

## ◆ ByteSize

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.ByteSize

Number of bits in the bytes transmitted and received

## ◆ DCBLength

int RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.DCBLength

Length of the structure in bytes

## ◆ EofChar

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.EofChar

Character to use to signal end of data

## ◆ ErrorChar

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.ErrorChar

Value of the character to use when replacing bytes with a parity error

## ◆ EvtChar

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.EvtChar

Character to use to signal an event

## ◆ Flags

DcbFlags RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.Flags

Various flags that define operation

## ◆ Parity

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.Parity

The parity scheme to be used

## ◆ StopBits

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.StopBits

Number of stop bits to use

## ◆ XoffChar

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.XoffChar

Value of the XOFF character for both transmission and reception

## ◆ XoffLim

ushort RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.XoffLim

Transmit XOFF threshold

## ◆ XonChar

byte RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.XonChar

Value of the XON character for both transmission and reception

## ◆ XonLim

ushort RJCP.IO.Ports.Native.Windows.NativeMethods.DCB.XonLim

Transmit XON threshold

The documentation for this struct was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/Native/Windows/NativeMethods.cs